#include<stdio.h>
#include<stdlib.h>
int main ()
{
    int n,x1,y1;
    scanf("%d",&n);
    scanf("%d%d",&x1,&y1);
    if(n==1)
    printf("0");
    else
    {
        int x2,y2;
        scanf("%d%d",&x2,&y2);
        if(x1==x2||y1==y2)
        printf("1");
        else
        printf("0");

    }
}